Bug 1691192 - [abrt] gnome-shell: meta_gpu_kms_flip_crtc(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: meta_gpu_kms_flip_crtc(): gnome-shell killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f8de5824660314a569b8077a749...
: 1695408 1696500 1698448 1699608 1701708 1705895 1706057 1706062 1707861 1709333 1711464 1716395 1717209 1721087 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 05:46 UTC by relentless.1980
Modified: 2019-06-28 20:55 UTC (History)
28 users (show)

Fixed In Version: gnome-shell-3.32.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-21 20:32:56 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (193.90 KB, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
File: cgroup (335 bytes, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
File: core_backtrace (30.46 KB, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
File: cpuinfo (1.47 KB, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
File: dso_list (23.59 KB, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
File: environ (3.63 KB, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
File: limits (1.29 KB, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
File: maps (142.87 KB, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
File: mountinfo (3.89 KB, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
File: open_fds (8.09 KB, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
File: var_log_messages (592 bytes, text/plain)
2019-03-21 05:46 UTC, relentless.1980
no flags Details
core backtrace (28.26 KB, text/plain)
2019-05-28 16:35 UTC, eltercerocompadre
no flags Details
backtrace (210.81 KB, text/plain)
2019-05-29 09:22 UTC, eltercerocompadre
no flags Details
dump of journalctl prior to crash (see comment) (80.63 KB, text/plain)
2019-05-30 18:35 UTC, eltercerocompadre
no flags Details
dump of journalctl during crash (125.10 KB, text/plain)
2019-05-30 18:39 UTC, eltercerocompadre
no flags Details
dump of journalctl during first(?) crash (95.18 KB, text/plain)
2019-05-31 13:32 UTC, eltercerocompadre
no flags Details

Description relentless.1980 2019-03-21 05:46:29 UTC
Version-Release number of selected component:
gnome-shell-3.32.0-1.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_flip_crtc
executable:     /usr/bin/gnome-shell
journald_cursor: s=8144c2a1519247b4b1b427265c1b506f;i=65b7a;b=91e4d2f3702c4ab5833b1b0db52a0bf9;m=6012693dd;t=58486f44e9b7f;x=fb7d0f7498322205
kernel:         5.0.0-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 relentless.1980 2019-03-21 05:46:33 UTC
Created attachment 1546310 [details]
File: backtrace

Comment 2 relentless.1980 2019-03-21 05:46:34 UTC
Created attachment 1546311 [details]
File: cgroup

Comment 3 relentless.1980 2019-03-21 05:46:36 UTC
Created attachment 1546312 [details]
File: core_backtrace

Comment 4 relentless.1980 2019-03-21 05:46:37 UTC
Created attachment 1546313 [details]
File: cpuinfo

Comment 5 relentless.1980 2019-03-21 05:46:39 UTC
Created attachment 1546314 [details]
File: dso_list

Comment 6 relentless.1980 2019-03-21 05:46:40 UTC
Created attachment 1546315 [details]
File: environ

Comment 7 relentless.1980 2019-03-21 05:46:42 UTC
Created attachment 1546316 [details]
File: limits

Comment 8 relentless.1980 2019-03-21 05:46:45 UTC
Created attachment 1546317 [details]
File: maps

Comment 9 relentless.1980 2019-03-21 05:46:46 UTC
Created attachment 1546318 [details]
File: mountinfo

Comment 10 relentless.1980 2019-03-21 05:46:48 UTC
Created attachment 1546319 [details]
File: open_fds

Comment 11 relentless.1980 2019-03-21 05:46:49 UTC
Created attachment 1546320 [details]
File: proc_pid_status

Comment 12 relentless.1980 2019-03-21 05:46:50 UTC
Created attachment 1546321 [details]
File: var_log_messages

Comment 13 taaem 2019-03-21 18:44:00 UTC
Similar problem has been detected:

After suspending the laptop via closing the lid and waking it up again, gnome-shell crashes and I get redirected to GDM.
This started happening after updating to Gnome 3.32 and Fedora 30.
This happens when suspending to S3 and S0I3.
I think the important part is: 

Mär 21 19:11:09 x1 org.gnome.Shell.desktop[2305]: **
Mär 21 19:11:09 x1 org.gnome.Shell.desktop[2305]: mutter:ERROR:../src/backends/native/meta-gpu-kms.c:276:meta_gpu_kms_flip_crtc: assertion failed: (monitor_manager->power_save_mode == META_POWER_SAVE_ON)
Mär 21 19:11:09 x1 org.gnome.Shell.desktop[2305]: == Stack trace for context 0x55939e150270 ==

After that everything in journalctl crashes and/or stops.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_flip_crtc
executable:     /usr/bin/gnome-shell
journald_cursor: s=4c1d97f4cd2149d48e89bfd1075acf60;i=1274c6;b=3ed9a645aede4493878f07899d1f715a;m=46326ed;t=5849ea9b58c51;x=d51faeeb1e0e3d39
kernel:         5.0.0-300.fc30.x86_64
package:        gnome-shell-3.32.0-1.fc30
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Justin Chiu 2019-04-02 23:35:35 UTC
This has been fixed in mutter: https://gitlab.gnome.org/GNOME/mutter/issues/509

Can a new version of mutter including the patch be pushed to the Fedora 30 testing repository?

Thanks.

Comment 15 Stoian Dan 2019-04-03 04:36:56 UTC
*** Bug 1695408 has been marked as a duplicate of this bug. ***

Comment 16 Jonas Ådahl 2019-04-03 06:59:58 UTC
(In reply to Justin Chiu from comment #14)
> This has been fixed in mutter:
> https://gitlab.gnome.org/GNOME/mutter/issues/509
> 
> Can a new version of mutter including the patch be pushed to the Fedora 30
> testing repository?
> 
> Thanks.

Might be better to wait for 3.32.1. The fix depends on various other changes that came after 3.32.0, so backporting just the issue 509 fix would bring in various other bug fixes.

Comment 17 andrew 2019-04-05 02:13:00 UTC
*** Bug 1696500 has been marked as a duplicate of this bug. ***

Comment 18 Yann Droneaud 2019-04-15 08:18:39 UTC
*** Bug 1698448 has been marked as a duplicate of this bug. ***

Comment 19 Yann Droneaud 2019-04-15 08:23:00 UTC
There's also a duplicate as bug #1699608

Comment 20 Yann Droneaud 2019-04-15 08:41:45 UTC
(In reply to Yann Droneaud from comment #19)
> There's also a duplicate as bug #1699608

and bug #1691913

Comment 21 Yann Droneaud 2019-04-15 08:47:04 UTC
ABRT gives me this report URL https://retrace.fedoraproject.org/faf/reports/bthash/7aeac0140664715be64bf7198140c6154b5b8d8c
but ABRT doesn't accept to create a proper bugzilla entry.

Comment 22 Ankur Sinha (FranciscoD) 2019-04-15 16:08:54 UTC
Similar problem has been detected:

I think it happened after I suspended my system by closing the lid. On re-opening, I got a black screen with a mouse pointer stuck on it---no inputs were taken and I had to hard reboot.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_flip_crtc
executable:     /usr/bin/gnome-shell
journald_cursor: s=f2b2519e59ac49979e3c3cf810c29562;i=812c;b=4880c9eac2404ba3b7ef12fc53da435c;m=d76e872f5;t=5869257a40cb8;x=b0f58a93a05b3f60
kernel:         5.0.7-300.fc30.x86_64
package:        gnome-shell-3.32.0-1.fc30
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Ankur Sinha (FranciscoD) 2019-04-15 16:11:13 UTC
*** Bug 1699608 has been marked as a duplicate of this bug. ***

Comment 24 Ankur Sinha (FranciscoD) 2019-04-15 16:13:24 UTC
From the ticket, a user set up a COPR with the new mutter that seems to do the trick: https://copr.fedorainfracloud.org/coprs/taaem/Gnome_3.32.1/

@Jonas: is there an ETA for gnome 3.32.1? It'd be nice if the fix landed in the zero day updates otherwise lots of users may see this on a fresh F30 install. 
  

Also, should the component of this bug be updated to mutter? It is currently filed against gnome-shell.

Comment 25 Yann Droneaud 2019-04-15 18:18:24 UTC
As noted in bug #1698448, I'm reproducing the issue when I put a video in full screen (Firefox, Youtube) then closing the lid of the laptop. When opening the lid again, screen stay black, then show the login screen.

Comment 26 Yann Droneaud 2019-04-19 08:50:40 UTC
As noted by sanjay.ankur@gmail.com in bug #1699608, upstream bug is https://gitlab.gnome.org/GNOME/mutter/issues/509

Comment 27 Yann Droneaud 2019-04-19 08:51:39 UTC
(In reply to Yann Droneaud from comment #26)
> As noted by sanjay.ankur@gmail.com in bug #1699608, upstream bug is
> https://gitlab.gnome.org/GNOME/mutter/issues/509

The other upstream bug matching this one is https://gitlab.gnome.org/GNOME/gnome-shell/issues/1127

Comment 28 Yann Droneaud 2019-04-19 08:56:23 UTC
It's possible https://bodhi.fedoraproject.org/updates/FEDORA-2019-2d456e35ff brought up updated mutter 3.21.1 which seems to address the issue.

Comment 29 Adam Williamson 2019-04-19 15:16:41 UTC
Thanks for the heads-up about this bug, I'll edit the update to mark it as fixing this too.

Comment 30 Fedora Update System 2019-04-19 15:17:41 UTC
gnome-shell-3.32.1-1.fc30 gnome-shell-extensions-3.32.1-1.fc30 mutter-3.32.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2d456e35ff

Comment 31 Michael 2019-04-20 23:16:05 UTC
*** Bug 1701708 has been marked as a duplicate of this bug. ***

Comment 32 Fedora Update System 2019-04-21 20:32:56 UTC
gnome-shell-3.32.1-1.fc30, gnome-shell-extensions-3.32.1-1.fc30, mutter-3.32.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 relentless.1980 2019-04-22 11:26:05 UTC
Similar problem has been detected:

Closing the lid

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_flip_crtc
executable:     /usr/bin/gnome-shell
journald_cursor: s=35eae7c5e28f42f996ee6f0e9966d3f7;i=53b441;b=6d6f9c0f36474a48be3d6a2b6073ed1d;m=bec22d2b;t=586e118345d6d;x=5e1bb203bae57a09
kernel:         5.0.7-300.fc30.x86_64
package:        gnome-shell-3.32.0-1.fc30
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 34 francois.guemard 2019-05-03 07:31:20 UTC
*** Bug 1705895 has been marked as a duplicate of this bug. ***

Comment 35 francois.guemard 2019-05-03 12:51:13 UTC
*** Bug 1706057 has been marked as a duplicate of this bug. ***

Comment 36 Luca Botti 2019-05-03 13:07:11 UTC
*** Bug 1706062 has been marked as a duplicate of this bug. ***

Comment 37 Patrick Easters 2019-05-08 15:08:34 UTC
*** Bug 1707861 has been marked as a duplicate of this bug. ***

Comment 38 fedora 2019-05-10 08:34:05 UTC
Similar problem has been detected:

Gnome-shell crashed when I attached my docking station (ThinkPad Thunderbolt 3 Dock).

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_flip_crtc
executable:     /usr/bin/gnome-shell
journald_cursor: s=24edcb1a7d4c47a48c54cf2c661fe897;i=22623;b=288387c27c7a4de89b659c35333c3af8;m=1a3437edfb;t=5888457b74f7d;x=9ff0a58bb7e462aa
kernel:         5.0.11-300.fc30.x86_64
package:        gnome-shell-3.32.1-1.fc30
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 39 guoxiao 2019-05-13 12:31:21 UTC
*** Bug 1709333 has been marked as a duplicate of this bug. ***

Comment 40 Adam Chasen 2019-05-17 21:24:06 UTC
*** Bug 1711464 has been marked as a duplicate of this bug. ***

Comment 41 fedora 2019-05-20 09:08:35 UTC
Similar problem has been detected:

Gnome-shell still crashes when I attach my docking station

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_flip_crtc
executable:     /usr/bin/gnome-shell
journald_cursor: s=24edcb1a7d4c47a48c54cf2c661fe897;i=2caa3;b=019760552168472ca49ea2e0d4698b35;m=143138f4;t=5894dff32328e;x=5656d7a75fed0976
kernel:         5.0.16-300.fc30.x86_64
package:        gnome-shell-3.32.2-1.fc30
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 42 eltercerocompadre 2019-05-28 09:22:13 UTC
Similar problem has been detected:

Connecting an external monitor via a HDMI-to-VGA convertor (HDMI port on computer) causes system to freeze. When HDMI cable is subsequently unplugged, gnome-shell crashes and I am returned to the login screen.

I'm running Fedora 30 (updated 5 minutes ago) on a Lenovo Thinkpad L380.

I've noticed this problem occur before when using a USB-C to DP/mDP cable as well.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_flip_crtc
executable:     /usr/bin/gnome-shell
journald_cursor: s=ed5c0091f8e14b0fb22030f04b12a6fa;i=28732;b=d889266c654447f9aecc564aa66f26fd;m=6387631;t=589eed1ff9dc8;x=2f4702e183391867
kernel:         5.0.17-300.fc30.x86_64
package:        gnome-shell-3.32.2-1.fc30
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 43 Adam Williamson 2019-05-28 15:05:23 UTC
Can anyone who's filed a 'dupe' of this with 3.32.1 or later possibly recover their full backtrace (it should still be available in abrt) and attach it manually? Thanks!

Comment 44 eltercerocompadre 2019-05-28 16:35:27 UTC
Created attachment 1574400 [details]
core backtrace

I think this is what you mean? Let me know if it isn't.

Comment 45 Adam Williamson 2019-05-28 16:51:26 UTC
Not quite - we need a fully-processed backtrace that's been run through gdb.

Comment 46 Leonhardt Wille 2019-05-29 08:38:00 UTC
Similar problem has been detected:

Wake up from standby

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_flip_crtc
executable:     /usr/bin/gnome-shell
journald_cursor: s=b2824296c3fe425bb477fc65ad4a421f;i=172da;b=11fc8b9b7f14448da23cd9982c75f91a;m=80166ff87;t=58a01ecfbc71d;x=a7d8f0aacc9eafd7
kernel:         5.0.16-300.fc30.x86_64
package:        gnome-shell-3.32.2-1.fc30
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 47 eltercerocompadre 2019-05-29 09:22:02 UTC
Created attachment 1574659 [details]
backtrace

Sorry, I'm hoping this is it instead? I'm looking through the contents of /var/spool/abrt/ccpp-2019-05-28-09:55:02.7245-1942 to find it.

Comment 48 Adam Williamson 2019-05-30 15:16:16 UTC
Yup, that's the one! Thanks. So, from that we can see that the original bug was an assertion failure:

"assertion failed: (monitor_manager->power_save_mode == META_POWER_SAVE_ON)"

Your bug is also an assertion failure, but a *different* one:

"assertion failed: (n_connectors > 0)"

abrt just sees that the tracebacks look the same (in terms of the actual function call chain) so assumes they're dupes. 

Jonas etc., have we seen this other assertion failure anywhere else? Any idea how to fix it?

Comment 49 Adam Williamson 2019-05-30 15:50:35 UTC
Oh, reporter, can you also upload the system log extract from around the time of the crash? There should be one in the abrt directory, or you can get it manually with journalctl using --since and --until args. Thanks!

Comment 50 Adam Williamson 2019-05-30 15:51:31 UTC
Filed https://gitlab.gnome.org/GNOME/mutter/issues/619 for the new crash.

Comment 51 eltercerocompadre 2019-05-30 18:35:43 UTC
Created attachment 1575353 [details]
dump of journalctl prior to crash (see comment)

Error happened at 09:55:01. Checked journalctl from 5 minutes prior, noticed that the journalling process shut down at 09:53:03, and restarted again at 09:53:32. This file is the journal from 09:50:00 to 09:53:01, when an error was thrown: May 28 09:53:03 perdido-street kernel: watchdog: watchdog0: watchdog did not stop!

Subsequent attachment journalctl_2_crash.txt contains journal at time of crash.

Comment 52 eltercerocompadre 2019-05-30 18:39:56 UTC
Created attachment 1575354 [details]
dump of journalctl during crash

Comment 53 Adam Williamson 2019-05-30 18:51:03 UTC
Hum. That's interesting. Were you trying to update the system right around this time? There's a lot of...stuff...going on kinda from 09:54:12 to the crash which all looks kinda weird, like your desktop session is shutting down already or something...

Comment 54 eltercerocompadre 2019-05-30 21:04:13 UTC
No, but come to think of it, I tried to connect the monitor multiple times, each time resulting in gnome-shell crashing and being logged out/all applications being closed. I only filed the bug report for the final crash, but there was a similar crash 11 minutes prior. I still have the files in abrt, I can attach these as well.
Also, if it's relevant, I have since connected my computer via HDMI-HDMI (no converter) to a monitor without any issues.

Comment 55 Adam Williamson 2019-05-30 21:36:24 UTC
Ah, OK. If you can find the log messages from around the time of the *first* crash, they may be the easiest to read.

Comment 56 eltercerocompadre 2019-05-31 13:32:40 UTC
Created attachment 1575709 [details]
dump of journalctl during first(?) crash

Not 100% sure this was the same issue, but it happened 11 minutes prior from what I assume is the same cause. I can upload the coredump as well.

Comment 57 Edin Tam 2019-06-03 12:12:55 UTC
*** Bug 1716395 has been marked as a duplicate of this bug. ***

Comment 58 Donato 2019-06-04 22:12:52 UTC
*** Bug 1717209 has been marked as a duplicate of this bug. ***

Comment 59 Andrew King 2019-06-17 10:15:13 UTC
*** Bug 1721087 has been marked as a duplicate of this bug. ***

Comment 60 Arun Babu Neelicattu 2019-06-24 10:30:36 UTC
Similar problem has been detected:

The issue occurs when plugging in a second external minitor via one of the two available DisplayPort ports on a Lenovo ThinkPad USB-3 40A9 dock. The workstation is a Lenovo ThinkPad Carbon X1 6th Generation laptop.

Prior to plugging in the second external monitor, the workstation was connected to and using an identitical display connected via the DisplayPort port. This setup (built-in + 1x external display) was working without issues. I can also confirm that using the HDMI port on the laptop instead of the dock port works for the second external display.

From all the available information, it seems like the crash is caused due to mutter. 

Possibly relevant issues:
 - https://gitlab.gnome.org/GNOME/mutter/issues/619

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_flip_crtc
executable:     /usr/bin/gnome-shell
journald_cursor: s=d1bdf3a2058246b489534d942a68577c;i=ad4e5;b=9babc4e647cd457f80cf2fba6d375f88;m=9f5a3c93f;t=58c0eae971c94;x=656b9fadce3c967d
kernel:         5.1.11-300.fc30.x86_64
package:        gnome-shell-3.32.2-2.fc30
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 61 Jonas Ådahl 2019-06-24 14:12:13 UTC
For anyone still experiences a similar crash, I created https://koji.fedoraproject.org/koji/taskinfo?taskID=35790874 which contains backports that should fix https://gitlab.gnome.org/GNOME/mutter/issues/619. Testing would be appreciated.

Comment 62 Arun Babu Neelicattu 2019-06-24 15:44:05 UTC
@Jonas, installed your build. Same results but different error in the logs this time.

> Jun 24 17:36:30 bender gnome-shell[2173]: GNOME Shell started at Mon Jun 24 2019 17:36:28 GMT+0200 (CEST)
> Jun 24 17:36:44 bender gnome-shell[2173]: Failed to set CRTC mode 2560x1440: No space left on device
> Jun 24 17:37:09 bender gnome-shell[2173]: g_closure_unref: assertion 'closure->ref_count > 0' failed
> Jun 24 17:37:09 bender org.gnome.Shell.desktop[2173]: free(): invalid pointer
> Jun 24 17:37:09 bender org.gnome.Shell.desktop[2173]: == Stack trace for context 0x56158f42e270 ==
> Jun 24 17:37:10 bender org.gnome.Shell.desktop[2173]: (EE) failed to read Wayland events: Broken pipe

> $ rpm -q mutter
> mutter-3.32.1-2.fc30.x86_64
> $ md5sum ~/Downloads/mutter-3.32.1-2.fc30.x86_64.rpm 
> d2598bdab87de6f10478d02504bd9918  /home/abn/Downloads/mutter-3.32.1-2.fc30.x86_64.rpm

Comment 63 Jonas Ådahl 2019-06-24 19:04:01 UTC
Could you see if you can fetch the backtrace from coredumpctl?

Comment 64 Victor 2019-06-25 10:18:08 UTC
Similar problem has been detected:

I have dell xps 13 and I connected dell WD15 dock station  using usb-c, when 3rd monitor is connected all is getting stuck, after restart the same problem.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_flip_crtc
executable:     /usr/bin/gnome-shell
journald_cursor: s=9d5331c0780c4665b37d4d7da837b94e;i=19bcb;b=cf3c52307c2a4ee8945c5961ec1d094f;m=128d3f04;t=58c22ded2065b;x=60b45150f292b3e9
kernel:         5.1.11-300.fc30.x86_64
package:        gnome-shell-3.32.2-2.fc30
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 65 Jonas Ådahl 2019-06-26 16:08:17 UTC
Another scratch-build to test: https://koji.fedoraproject.org/koji/taskinfo?taskID=35845117

Comment 66 Jonas Ådahl 2019-06-28 20:55:29 UTC
A build fixing newly reported duplicates are queued in bodhi. Please test mutter-3.32.2-3.fc30 if you get the chance.


Note You need to log in before you can comment on or make changes to this bug.